
//	Shooting Zombies (2014)
//	by Jessie Martin
//	Adapted from Shooting Monkeys
//  http://www.jacobenfield.com/webGameDesigner/challenge02/index.html

var zombieHead;
var gameTimer;
var numZombies = 5;
var zombieBar;
var gameWindow;

function init(){
	zombieBar = document.getElementById('zombieBar');
	zombieBar.style.width = numZombies * 50 + 'px';
	zombieHead = document.getElementById('zombieHead');
	gameWindow = document.getElementById('gameWindow');

	gameTimer = setInterval(gameloop, 50);
	placeZombie();
}

function gameloop(){
	var y = parseInt(zombieHead.style.top) - 22;
	if(y < -100){
		numZombies+=2;
		zombieBar.style.width = numZombies * 50 + 'px';
		if (numZombies >= 10){
			zombieBar.style.width = '500px';
			gameWindow.innerHTML = '<br>Game Over!<br><br>You failed to stop the zombies.<br>Now the whole world will die!';
			clearInterval(gameTimer)
		}
		placeZombie();
	}
	else zombieHead.style.top = y + 'px';
}


function placeZombie(){
	var x = Math.floor(Math.random()*421); 
	zombieHead.style.left = x + 'px';
	zombieHead.style.top = '350px';
}

function hitZombie(){
	numZombies--;
	zombieBar.style.width = numZombies * 50 + 'px';
	if(numZombies <= 0){
		zombieBar.style.width = '0px';
		gameWindow.innerHTML = '<br>You Win!<br><br>Planet Earth thanks you!';
		clearInterval(gameTimer);
	}
	placeZombie();
}
